Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.client.amplistor
Class AmpliUtils

    java.lang.Object
      com.intel.cosbench.client.amplistor.AmpliUtils

    public class AmpliUtils

extends java.lang.Object

Constructor Summary
`AmpliUtils()`

Method Summary
`static java.lang.String` | `fold(java.lang.Object[] al)`
`static AmpliNamespace` | `namespaceFromResponse(org.apache.http.HttpResponse response)`
`static org.apache.http.HttpRequest` | `namespaceToRequest(org.apache.http.HttpRequest request, AmpliNamespace namespace)`
`static AmpliPolicy` | `policyFromResponse(org.apache.http.HttpResponse response)`
`static org.apache.http.HttpRequest` | `policyToRequest(org.apache.http.HttpRequest request, AmpliPolicy policy)`
`static java.lang.String` | `quotedString(java.lang.String str)`
`static java.lang.String` | `trim(java.lang.String str, java.lang.String delimiter)`
`static java.util.ArrayList<java.lang.Object>` | `unfold(java.lang.String str)`
`static java.lang.String` | `unquotedString(java.lang.String str)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AmpliUtils

    public AmpliUtils()

Method Detail

### policyFromResponse

    public static AmpliPolicy policyFromResponse(org.apache.http.HttpResponse response)

### policyToRequest

    public static org.apache.http.HttpRequest policyToRequest(org.apache.http.HttpRequest request,
                                                              AmpliPolicy policy)

### namespaceFromResponse

    public static AmpliNamespace namespaceFromResponse(org.apache.http.HttpResponse response)

### namespaceToRequest

    public static org.apache.http.HttpRequest namespaceToRequest(org.apache.http.HttpRequest request,
                                                                 AmpliNamespace namespace)

### unquotedString

    public static java.lang.String unquotedString(java.lang.String str)

### quotedString

    public static java.lang.String quotedString(java.lang.String str)

### trim

    public static java.lang.String trim(java.lang.String str,
                                        java.lang.String delimiter)

### fold

    public static java.lang.String fold(java.lang.Object[] al)

### unfold

    public static java.util.ArrayList<java.lang.Object> unfold(java.lang.String str)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD